Bug 699902 - Review Request: python-manuel - Build tested documentation
Summary: Review Request: python-manuel - Build tested documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 21:25 UTC by Jerry James
Modified: 2014-02-11 19:14 UTC (History)
4 users (show)

Fixed In Version: python-manuel-1.5.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-05 05:06:46 UTC
robinlee.sysu: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2011-04-26 21:25:10 UTC
Spec URL: http://jjames.fedorapeople.org/python-manuel/python-manuel.spec
SRPM URL: http://jjames.fedorapeople.org/python-manuel/python-manuel-1.5.0-1.fc14.src.rpm
Description: Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

This package is needed to test the documentation builds of python-ZODB3; i.e., it is a build-time-only dependency of python-ZODB3.

Comment 1 Robin Lee 2011-04-27 04:16:28 UTC
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint ./RPMS/noarch/python-manuel-1.5.0-1.fc15.noarch.rpm ./SRPMS/python-manuel-1.5.0-1.fc14.src.rpm ./SPECS/python-manuel.spec 
python-manuel.noarch: W: spelling-error %description -l en_US doctests -> doc tests, doc-tests, doctorates
python-manuel.src: W: spelling-error %description -l en_US doctests -> doc tests, doc-tests, doctorates
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
$ md5sum manuel-1.5.0.tar.gz 
644fe14c164a6e78bcbc346fefbcd7a6  manuel-1.5.0.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: Packages should try to preserve timestamps of original installed
files.

Other Items:
[-] According to setup.py, this package does not require python-zope-testing at runtime.
[=] Group better be Development/Libraries
[-] The text files in python site path are compiled to html by sphinx and included in %doc. They should be excluded from python site path.

Comment 2 Jerry James 2011-04-27 16:53:29 UTC
Thanks for the review!

(In reply to comment #1)
> [-] According to setup.py, this package does not require python-zope-testing at
> runtime.

I did a grep for imports and found this:

import zope.testing.renormalizing

in tests.py, hence the Requires.  On a second look, though, that file is only used to test manuel itself.  It probably shouldn't be installed, then.  I'll ask upstream about that.

> [=] Group better be Development/Libraries

Okay.

> [-] The text files in python site path are compiled to html by sphinx and
> included in %doc. They should be excluded from python site path.

Okay.

New version:
http://jjames.fedorapeople.org/python-manuel/python-manuel.spec
http://jjames.fedorapeople.org/python-manuel/python-manuel-1.5.0-2.fc14.src.rpm

Comment 3 Robin Lee 2011-04-27 17:08:21 UTC
(In reply to comment #2)
> Thanks for the review!
> 
> (In reply to comment #1)
> > [-] According to setup.py, this package does not require python-zope-testing at
> > runtime.
> 
> I did a grep for imports and found this:
> 
> import zope.testing.renormalizing
> 
> in tests.py, hence the Requires.  On a second look, though, that file is only
> used to test manuel itself.  It probably shouldn't be installed, then.  I'll
> ask upstream about that.
Zope packages usually use [main_namespace].tests for the test suite. That means [main_namespace].tests and any sub-namespace of it will be reached only when test runs. I hope you can confirm this point with upstream.

For package that comes with vast test suite, those module files will even be excluded from binary rpm as suggested by some packagers. python-ZODB3 is an example.

Comment 4 Robin Lee 2011-04-27 19:40:09 UTC
- rm -f %{python_sitelib}/manuel/*.txt
+ rm -f $RPM_BUILD_ROOT%{python_sitelib}/manuel/*.txt

Comment 5 Jerry James 2011-04-27 22:05:28 UTC
Gah!  Fixed that, same URLs as before.

Comment 6 Robin Lee 2011-04-28 02:12:25 UTC
Rawhide build succeeded:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3031779

This package is approved by 'cheeselee'.

Comment 7 Jerry James 2011-04-28 17:38:06 UTC
New Package SCM Request
=======================
Package Name: python-manuel
Short Description: Build tested documentation
Owners: jjames
Branches: f14 f15
InitialCC:

Comment 8 Jason Tibbitts 2011-04-30 18:13:52 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-04-30 20:30:50 UTC
python-manuel-1.5.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-manuel-1.5.0-2.fc15

Comment 10 Fedora Update System 2011-04-30 20:30:59 UTC
python-manuel-1.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-manuel-1.5.0-2.fc14

Comment 11 Fedora Update System 2011-05-01 01:42:24 UTC
python-manuel-1.5.0-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-05-05 05:06:39 UTC
python-manuel-1.5.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-05-09 20:54:36 UTC
python-manuel-1.5.0-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Jerry James 2014-01-23 20:43:29 UTC
Package Change Request
======================
Package Name: python-manuel
New Branches: el6 epel7
Owners: jjames ralph
InitialCC: 

We need EPEL6 and EPEL7 branches to satisfy BRs for other packages of interest.  Thanks.

Comment 15 Gwyn Ciesla 2014-01-23 21:12:49 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2014-01-24 18:27:40 UTC
python-manuel-1.7.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-manuel-1.7.2-4.el6

Comment 17 Fedora Update System 2014-02-11 19:14:59 UTC
python-manuel-1.7.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.